Page MenuHomePhabricator

[Lua task #1] Set up your sandbox for programming in Lua on English Wikipedia
Closed, DeclinedPublic

Description

Lua is a lightweight programming language that is particularly suited for embedding within other software. The software used by Wikipedia, called MediaWiki, has an extension (called Scribunto) that provides a version of Lua that can be used within Wikipedia pages.

  1. Create a Wikipedia account. See https://en.wikipedia.org/wiki/Wikipedia:Why_create_an_account%3F . Adding an email address allows you to reset your password if you forget it.
  2. Use the link at the top right of your page that has your username to create / edit your user page. Add some text, noting that you’re taking part in GCI, but don’t add personal information. Preview your edit and save it.
  3. Use the link at the top right of your page to create your sandbox. Type some text, preview it and save it. Remember that what you type can potentially be seen by anybody!
  4. Read about Scribunto, the Lua implementation embedded in Wikimedia software.
  5. Create an empty sandbox module for yourself as a subfolder of https://en.wikipedia.org/wiki/Module:Sandbox . For example, if your user name is Joe Bloggs, then create your module at https://en.wikipedia.org/wiki/Module:Sandbox/Joe_Bloggs . Note that any spaces need to be converted to underscores, _. This is called "url encoding".
  6. In your sandbox, add a line of text starting with two hyphens: -- After the two hyphens, type your username followed by Google Code-in 2017, Introduction to Lua in Wikipedia. Text beginning with two hyphens is used in Lua to designate a comment.

Event Timeline

RexxS created this task.Dec 6 2017, 8:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2017, 8:59 PM
D3r1ck01 added a subscriber: D3r1ck01.
RexxS added a comment.Dec 6 2017, 10:28 PM

I will mentor this in Google-Code-in-2017

Note that, this kind of tasks can be added directly to the Google-Code-in-2017 site, without the phabricator steep. Because now we have a phab task that will never be resolved :)

No problem, I will go through these Phab tickets once GCI is done and I'll import these ones to the GCI site :)

Aklapper renamed this task from Lua Task 1 - Introduction to Lua in Wikipedia to [Lua task #1] Set up your sandbox for programming in Lua on English Wikipedia.Dec 7 2017, 3:40 PM
Aklapper updated the task description. (Show Details)
Aklapper moved this task from Proposed tasks to Imported in GCI Site on the Google-Code-in-2017 board.
Gabrielchl updated the task description. (Show Details)Jan 7 2018, 11:08 AM
Aklapper closed this task as Declined.Jan 17 2018, 6:29 PM

Closing this task as it was a placeholder in Phab for Google-Code-in-2017 which is ending these days (no more new tasks can be claimed from now on in GCI 2017).